FROM pommalabs/dotnet:8-sdk

ARG description="Docker image with .NET SDK and Mono SDK, based on Debian Linux"
LABEL description=${description} org.opencontainers.image.description=${description}

COPY ./bash /opt/bash
RUN export MONO_REPO_DISTRO="focal" && \
    export MONO_VERSION="6.12" && \
    bash /opt/bash/common_setup.sh && \
    bash /opt/bash/sdk_mono.sh && \
    bash /opt/bash/common_cleanup.sh && \
    rm -rf /opt/bash
